Loading...
Searching...
No Matches
dolfin::UniqueIdGenerator Class Reference

`#include <UniqueIdGenerator.h>`

## Static Public Member Functions

static std::size_t | id ()
| Generate a unique ID.

## Detailed Description

This is a singleton class that return IDs that are unique in the lifetime of a program.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/UniqueIdGenerator.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/UniqueIdGenerator.cpp